import request from '@/utils/request'

// 查询任务细分字典列表
export function listPartition(query) {
    return request({
        url: '/system/partition/list',
        method: 'get',
        params: query
    })
}
// 任务类型名称下拉框
export function selectTaskTypeList(query) {
    return request({
        url: '/system/taskType/selectTaskTypeList',
        method: 'get',
        params: query
    })
}


// 查询任务细分字典详细
export function getPartition(id) {
    return request({
        url: '/system/partition/' + id,
        method: 'get'
    })
}

// 新增任务细分字典
export function addPartition(data) {
    return request({
        url: '/system/partition/add',
        method: 'post',
        data: data
    })
}

// 修改任务细分字典
export function updatePartition(data) {
    return request({
        url: '/system/partition/edit',
        method: 'put',
        data: data
    })
}

// 删除任务细分字典
export function delPartition(id) {
    return request({
        url: '/system/partition/' + id,
        method: 'delete'
    })
}

